import { RouterView } from 'vue-router';

export default {
    path: '/vehicle',
    name: 'Vehicle',
    meta: {
        title: 'vehicle',
        icon: 'directions_car',
        moduleName: 'Vehicle',
    },
    component: RouterView,
    redirect: { name: 'VehicleCard' },
    menus: {
        main: [],
        card: ['VehicleBasicData'],
    },
    children: [
        {
            path: '/vehicle/:id',
            name: 'VehicleCard',
            component: () => import('src/pages/Route/Vehicle/Card/VehicleCard.vue'),
            redirect: { name: 'VehicleSummary' },
            children: [
                {
                    name: 'VehicleSummary',
                    path: 'summary',
                    meta: {
                        title: 'summary',
                        icon: 'view_list',
                    },
                    component: () =>
                        import('src/pages/Route/Vehicle/Card/VehicleSummary.vue'),
                },
                {
                    name: 'VehicleBasicData',
                    path: 'basic-data',
                    meta: {
                        title: 'basicData',
                        icon: 'vn:settings',
                    },
                    component: () =>
                        import('pages/Route/Vehicle/Card/VehicleBasicData.vue'),
                },
            ],
        },
    ],
};
